Bug 36228 - python-dnspython update failed
python-dnspython update failed
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Update - Release updates
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.0
Assigned To: Stefan Gohmann
Philipp Hahn
: interim-3
Depends on:
Blocks: 36205
  Show dependency treegraph
 
Reported: 2014-10-19 10:54 CEST by Stefan Gohmann
Modified: 2014-11-26 06:55 CET (History)
0 users

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments
updater.log (614.97 KB, application/text)
2014-10-19 10:54 CEST, Stefan Gohmann
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2014-10-19 10:54:08 CEST
Created attachment 6190 [details]
updater.log

Seen in the Jenkins test:
http://jenkins.knut.univention.de:8080/job/UCS-4.0/job/UCS-4.0-0/job/UCS 3.2 to 4.0 Autotest MultiEnv/SambaVersion=s3,Systemrolle=master

--------------------------------------------------------------------------------
(Reading database ... 115172 files and directories currently installed.)
Preparing to replace python-dnspython 1.8.0-1.3.201104240421 (using .../python-dnspython_1.10.0-1.5.201403201006_all.deb) ...
/var/lib/dpkg/info/python-dnspython.prerm: 6: update-python-modules: not found
dpkg: warning: subprocess old pre-removal script returned error exit status 127
dpkg - trying script from the new package instead ...
/var/lib/dpkg/tmp.ci/prerm: 12: pyclean: not found
dpkg: error processing /var/cache/apt/archives/python-dnspython_1.10.0-1.5.201403201006_all.deb (--unpack):
 subprocess new pre-removal script returned error exit status 127
configured to not write apport reports
/var/lib/dpkg/info/python-dnspython.postinst: 6: update-python-modules: not found
dpkg: error while cleaning up:
 subprocess installed post-installation script returned error exit status 127
--------------------------------------------------------------------------------
Comment 1 Stefan Gohmann univentionstaff 2014-10-19 12:46:51 CEST
I've added python-support to the pre update package list: r54622
Comment 2 Stefan Gohmann univentionstaff 2014-10-19 20:48:21 CEST
Changelog: r54625
Comment 3 Philipp Hahn univentionstaff 2014-10-31 23:34:30 CET
OK: r54622 preup.sh
OK: r54625 ChangeLog
OK: Starting pre-upgrade of python-support: Paketlisten werden gelesen...
OK: <http://jenkins.knut.univention.de:8080/job/UCS-4.0/job/UCS-4.0-0/job/UCS%203.2%20to%204.0%20App%20Autotest%20Update%20MultiEnv/>
Comment 4 Stefan Gohmann univentionstaff 2014-11-26 06:55:13 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".